package com.ematou.wxbase.service;

import com.ematou.wxbase.common.web.R;
import com.ematou.wxbase.entity.dto.EidTokenRequestDTO;
import com.ematou.wxbase.entity.vo.EidTokenResponseVO;

/**
 * E证通业务接口
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @date 2023/2/18 16:29
 */
public interface EidService {

    /**
     * 获取E证通 Token
     * @return
     */
    R<EidTokenResponseVO> getEidToken(EidTokenRequestDTO requestDTO);

    /**
     * 获取E证通结果
     */
    R getEidResult();

}
