package com.ematou.wxbase;

import com.ematou.wxbase.entity.MerchInfo;
import com.ematou.wxbase.mapper.MerchInfoMapper;
import com.ematou.wxbase.service.MerchInfoService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * E证通 token 记录 service 测试类
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @date 2023/2/16 17:02
 */
@SpringBootTest
public class MerchInfoServiceTest {

    @Autowired
    private MerchInfoService service;

    @Autowired
    private MerchInfoMapper mapper;

    @Test
    public void testMapperSelectOne() {
        MerchInfo merchInfo = new MerchInfo();
        merchInfo.setMerchSn("mhbs990053989883052032");
        System.out.println(mapper.selectOne(merchInfo));
    }

    @Test
    public void testInsert() {
        MerchInfo merchInfo = new MerchInfo();
        merchInfo.setMerchSn("mhbs990053989883052032");
        merchInfo.setMerchName("中网科技");
        System.out.println(service.insert(merchInfo));
    }

}
